package net.northking.cctp.executePlan.api.third.devops.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;
@JsonSerialize
public class DevopsDoExecplanParamDto implements Serializable {
    //系统id
    private String projectIds;

    //执行计划id
    private String execplanId;

    //执行人
    @NotBlank(message = "执行人不能为空")
    @Length(max = 32,message = "执行人长度不能超过32位")
    private String execMan;

    //渠道来源
    private String channel;

    //第三方请求执行唯一id
    private String devopsExecUuid;

    public String getExecplanId() {
        return execplanId;
    }

    public void setExecplanId(String execplanId) {
        this.execplanId = execplanId;
    }

    public String getExecMan() {
        return execMan;
    }

    public void setExecMan(String execMan) {
        this.execMan = execMan;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getDevopsExecUuid() {
        return devopsExecUuid;
    }

    public void setDevopsExecUuid(String devopsExecUuid) {
        this.devopsExecUuid = devopsExecUuid;
    }

    public String getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(String projectIds) {
        this.projectIds = projectIds;
    }
}
